%define _name nautilus

Name: nautilus2
Version: 2.2.1
Release: alt1

Summary: Nautilus is a network user environment
License: GPL
Group: Graphical desktop/GNOME
Url: http://nautilus.eazel.com

Source: %_name-%version.tar.bz2
Patch: %name-2.1.3-alt-hardware_view.patch

Obsoletes: %_name, %name-music-view, %name-content-loser
Obsoletes: %name-sample-content-view, %name-sidebar-loser
Provides: %name-music-view = %version-%release
Provides: %name-content-loser = %version-%release
Provides: %name-sample-content-view = %version-%release
Provides: %name-sidebar-loser = %version-%release

Conflicts: %_name

%define GConf_ver 2.2.0
%define scrollkeeper_ver 0.3.11-alt2
%define pkgconfig_ver 0.15
%define esound_ver 0.2.29
%define bonobo_activation_ver 2.2.1
%define libbonoboui_ver 2.2.0
%define eel_ver 2.2.1
%define glib_ver 2.2.1
%define gnome_vfs_ver 2.2.1
%define gtk_ver 2.2.1
%define desktop_ver 2.2.0.1
%define libgnomeui_ver 2.2.0.1-alt2
%define librsvg_ver 2.2.3
%define libxml2_ver 2.4.28
%define icon_theme_ver 1.0.0

PreReq: GConf2 >= %GConf_ver
PreReq: scrollkeeper >= %scrollkeeper_ver
PreReq: lib%_name = %version-%release
PreReq: gnome-mime-data
PreReq: gnome-icon-theme >= %icon_theme_ver

Requires: esound >= %esound_ver
Requires: libbonobo-activation >= %bonobo_activation_ver
Requires: libbonoboui >= %libbonoboui_ver
Requires: libeel2 >= %eel_ver
Requires: glib2 >= %glib_ver
Requires: gnome-vfs2 >= %gnome_vfs_ver
Requires: libgtk+2 >= %gtk_ver
Requires: gnome-desktop >= %desktop_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: librsvg2 >= %librsvg_ver
Requires: libxml2 >= %libxml2_ver

BuildPreReq: pkgconfig >= %pkgconfig_ver
BuildPreReq: esound-devel >= %esound_ver
BuildPreReq: bonobo-activation-devel >= %bonobo_activation_ver
BuildPreReq: libbonoboui-devel >= %libbonoboui_ver
BuildPreReq: libeel2-devel >= %eel_ver
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnome-desktop-devel >= %desktop_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: librsvg2-devel >= %librsvg_ver
BuildPreReq: libxml2-devel >= %libxml2_ver

# Automatically added by buildreq on Tue Feb 11 2003
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs bonobo-activation-devel docbook-utils esound-devel fontconfig freetype2 glib2-devel glibc-devel-static gnome-libs-devel gnome-vfs2-devel indent libGConf2-devel libIDL libXft libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libcdparanoia-devel libeel2-devel libexpat libgail-devel libglade2-devel libgnome-desktop-devel libgnome-devel libgnomecanvas-devel libgnomeui-devel libgsf-devel libgtk+2-devel libjpeg-devel liblinc-devel libpango-devel libpopt-devel librsvg2-devel libssl-devel libstartup-notification-devel libxml2-devel pkgconfig zlib-devel

%description
Nautilus integrates access to files, applications, media, Internet-based
resources and the Web.  Nautilus delivers a dynamic and rich user
experience.  Nautilus is an free software project developed under the
GNU General Public License and is a core component of the GNOME desktop
project.

%package -n lib%_name
Summary: Shared libraries needed to run Nautilus
Group: System/Libraries

%description -n lib%_name
This package contains shared libraries needed to run Nautilus and its
components.

%package -n lib%_name-devel
Summary: Libraries and include files for developing Nautilus components
Group: Development/GNOME and GTK+
Requires: lib%_name = %version-%release
Requires: esound-devel >= %esound_ver
Requires: bonobo-activation-devel >= %bonobo_activation_ver
Requires: libeel2-devel >= %eel_ver
Requires: glib2-devel >= %glib_ver
Requires: gnome-vfs2-devel >= %gnome_vfs_ver
Requires: libgtk+2-devel >= %gtk_ver
Requires: libgnome-desktop-devel >= %desktop_ver
Requires: libgnomeui-devel >= %libgnomeui_ver
Requires: librsvg2-devel >= %librsvg_ver
Requires: libxml2-devel >= %libxml2_ver

%description -n lib%_name-devel
This package provides the necessary development libraries and include
files to allow you to develop Nautilus components.

# begin nautilus-components
%package components
Summary: Additional Nautilus components
Group: Graphical desktop/GNOME

Requires: %name-hardware-view = %version-%release	%name-history = %version-%release
Requires: %name-image-properties = %version-%release	%name-notes = %version-%release
Requires: %name-adapter = %version-%release
Requires: %name-text-view = %version-%release		%name-tree = %version-%release
Requires: %name-throbber = %version-%release		%name-emblem-view = %version-%release

%description components
This package contains additional components for Nautilus that expand its
functionality.

%package adapter
Summary: Bonobo adapter Nautilus component
Group: Graphical desktop/GNOME
Requires: %name = %version-%release

%description adapter
This package contains Nautilus component for adapting bonobo
Control/ControlFactory to look like Nautilus views.

%package emblem-view
Summary: Emblem view Nautilus component
Group: Graphical desktop/GNOME
Requires: %name = %version-%release

%description emblem-view
This package contains emblem view component for Nautilus. It is a
sidebar displaying emblems which can be dragged onto files to set/unset
the chosen emblem.

%package hardware-view
Summary: Hardware views Nautilus component
Group: Graphical desktop/GNOME
Requires: %name = %version-%release

%description hardware-view
This package contains Nautilus component that presents various views of
the hardware configuration.

%package history
Summary: History views Nautilus component
Group: Graphical desktop/GNOME
Requires: %name = %version-%release

%description history
This package contains Nautilus component that presents history view.

%package image-properties
Summary: Image properties views Nautilus component
Group: Graphical desktop/GNOME
Requires: %name = %version-%release

%description image-properties
Nautilus component that presents image properties.

%package notes
Summary: Notes sidebar panel for Nautilus
Group: Graphical desktop/GNOME
Requires: %name = %version-%release

%description notes
This package contains Nautilus component that presents notes sidebar
panel that allows editing per-directory notes.

%package text-view
Summary: Text file views Nautilus component
Group: Graphical desktop/GNOME
Requires: %name = %version-%release

%description text-view
Nautilus component that displays a text files.

%package throbber
Summary: Nautilus throbber component
Group: Graphical desktop/GNOME
Requires: %name = %version-%release

%description throbber
Nautilus throbber component for the location bar.

%package tree
Summary: Tree sidebar panel for Nautilus
Group: Graphical desktop/GNOME
Requires: %name = %version-%release

%description tree
This package contains Nautilus component that presents tree sidebar
panel.

%define _libexecdir %_libdir/%_name-2.0/components
%define _bonobo_servers_dir %_libdir/bonobo/servers

%prep
%setup -q -n %_name-%version
%patch -p1

# Nothing to build in docs.
%__subst 's,\(^SUBDIRS.*\)docs,\1,' Makefile.in

%build
%configure --enable-hardware
	
%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export OMF_DIR=%buildroot%_var/lib/scrollkeeper
%make_install DESTDIR=%buildroot \
        LIBRARY_PATH=%buildroot%_libdir install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
unset OMF_DIR

# menu
%__mkdir_p %buildroot%_menudir
%__cat << __MENU__ > %buildroot%_menudir/nautilus
?package(nautilus): command="%_bindir/%_name" needs="x11" section="Applications/File tools"
title="Nautilus" longtitle="Nautilus - GNOME file manager" icon="nautilus.png"
__MENU__

%__rm -f docs/Makefile*

%find_lang %_name

%define node /apps/nautilus/preferences

%post
%gconf2_install apps_nautilus_preferences
%gconf2_set string %node/preview_sound local_only
%gconf2_set string %node/show_icon_text local_only
%gconf2_set bool %node/start_with_sidebar false
%gconf2_set string %node/click_policy single
%update_scrollkeeper

%postun
%clean_scrollkeeper

%post -n lib%_name -p %post_ldconfig
%postun -n lib%_name -p %postun_ldconfig

%post adapter -p %post_ldconfig
%postun adapter -p %postun_ldconfig

%files -f %_name.lang
%_bindir/*
%dir %_libexecdir
%_bonobo_servers_dir/Nautilus_shell.server
%_datadir/applications/*
%_datadir/gnome/network/*.desktop
%_datadir/gnome-2.0/ui/nautilus-clipboard-ui.xml
%_datadir/gnome-2.0/ui/nautilus-desktop-icon-view-ui.xml
%_datadir/gnome-2.0/ui/nautilus-directory-view-ui.xml
%_datadir/gnome-2.0/ui/nautilus-icon-view-ui.xml
%_datadir/gnome-2.0/ui/nautilus-search-list-view-ui.xml
%_datadir/gnome-2.0/ui/nautilus-shell-ui.xml
%_datadir/idl/*
%dir %_datadir/%_name/glade
%_datadir/%_name/glade/*
%_datadir/%_name/patterns
%_datadir/%_name/*.xml
%_datadir/%_name/*.placeholder
%_datadir/%_name/*.desktop
%dir %_datadir/%_name/services/text
%_datadir/pixmaps/%_name/*.png
#!!
%_datadir/pixmaps/%_name/*.gif
%_menudir/*

#%_sysconfdir/X11/serverconfig/.*
%_sysconfdir/X11/starthere/applications.desktop
%_sysconfdir/X11/starthere/preferences.desktop
#%_sysconfdir/X11/sysconfig/.*

%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog MAINTAINERS NEWS README THANKS TODO

%files -n lib%_name
%_libdir/libnautilus-private.so.*
%_libdir/libnautilus.so.*

%files -n lib%_name-devel
%_includedir/*
%_libdir/*.so
%_libdir/*.la
%_libdir/bonobo/*.la
%_libdir/pkgconfig/*
%doc docs/*

%files components

%files adapter
%_libexecdir/%_name-adapter
%_libdir/libnautilus-adapter.so.*
%_bonobo_servers_dir/Nautilus_ComponentAdapterFactory_std.server

%files emblem-view
%_libdir/bonobo/libnautilus-emblem-view.so
%_bonobo_servers_dir/Nautilus_View_emblem.server

%files hardware-view
%_libexecdir/%_name-hardware-view
%_bonobo_servers_dir/Nautilus_View_hardware.server

%files history
%_libdir/bonobo/*-history-*.so
%_bonobo_servers_dir/Nautilus_View_history.server

%files image-properties
%_libdir/bonobo/*-image-properties-*.so
%_bonobo_servers_dir/Nautilus_View_image_properties.server

%files notes
%_libdir/bonobo/*-notes-*.so
%_bonobo_servers_dir/Nautilus_View_notes.server

%files text-view
%_libexecdir/%_name-text-view
%_bonobo_servers_dir/Nautilus_View_text.server
%_datadir/%_name/services/text

%files throbber
%_libexecdir/%_name-throbber
%_bonobo_servers_dir/Nautilus_Control_throbber.server
%_datadir/pixmaps/nautilus/throbber

%files tree
%_libdir/bonobo/*-tree-*.so
%_bonobo_servers_dir/Nautilus_View_tree.server

%changelog
* Tue Feb 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Tue Jan 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.2-alt1
- 2.2.0.2

* Sun Jan 26 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt3
- subpackages with useless old themes removed.

* Fri Jan 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt2
- added missing /etc/X11/starthere/*.desktop to work "start here".

* Thu Jan 23 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt1
- 2.2.0.1

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Jan 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.91-alt1
- 2.1.91

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.6-alt1
- 2.1.6

* Mon Dec 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Mon Dec 09 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Sat Nov 30 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt2
- Fixed dependence on gnome-icone-theme (#1645)
- Fixed *.server for hardware component

* Tue Nov 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3
- Obsoletes %name-music-view, %name-content-loser,
  %name-sample-content-view, %name-sidebar-loser
- default-schemas.patch removed, %%gcon2_set macro used.

* Fri Nov 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Tue Oct 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Thu Oct 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1.1
- %name-themes subpackage renamed to %name-themes-default.
- Removed dependence on Nautilus for default theme.
- Fixed %%post/%%postun for sidebar component.

* Sat Oct 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Wed Oct 02 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.6-alt1.2
- Nautilus themes splitted in separate packages.
- %%post/%%postun scripts for components.

* Mon Sep 30 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.6-alt1.1
- change from '>' to '>=' in dependencies on scrollkeeper.
- move pkgconfig >= '' from requires to buildrequires.

* Sun Sep 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.6-alt1
- First build for Sisyphus.
